InventoryHierarchyTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.InventoryHierarchyTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class InventoryHierarchyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.InventoryHierarchyTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated.

    @Deprecated
    public class InventoryHierarchyTag

extends javax.servlet.jsp.tagext.TagSupport

a tag to show the inventory hierarchy links from the current resource Such as: Platform > Linux > mazinger.hyperic.net

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InventoryHierarchyTag()` Deprecated.

Method Summary
`int` | `doStartTag()` Deprecated.
`java.lang.String` | `getCtype()` Deprecated.
`java.lang.String` | `getResource()` Deprecated.
`void` | `setCtype(java.lang.String ctype)` Deprecated.
`void` | `setResource(java.lang.String r)` Deprecated.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InventoryHierarchyTag

    public InventoryHierarchyTag()

  Deprecated.

Method Detail

### getResource

    public java.lang.String getResource()

  Deprecated.

### setResource

    public void setResource(java.lang.String r)

  Deprecated.

### getCtype

    public java.lang.String getCtype()

  Deprecated.

### setCtype

    public void setCtype(java.lang.String ctype)

  Deprecated.

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Deprecated.
  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.